summaryrefslogtreecommitdiff
path: root/testing/ensure-pysqlcipher-has-usleep.sh
diff options
context:
space:
mode:
authordrebs <drebs@leap.se>2017-07-07 17:41:02 -0300
committerdrebs <drebs@leap.se>2017-07-08 07:48:46 -0300
commitb289e6caa81fd3c6c8b6a6070feee6b1b0965122 (patch)
treecec96f2521441e2ba212a6e782750d363d87ca14 /testing/ensure-pysqlcipher-has-usleep.sh
parent36e4a396a2a7edcc05c41e739d8f24ec7945cd21 (diff)
[benchmarks] avoid reinstalling pysqlcipher if unneeded
pysqlcipher just has to be reinstalled for benchmark tests if current installed version fails the HAVE_USLEEP flag test. This commit moves the code for checking and reinstalling to a script and bypasses the reinstallation when it is unneeded.
Diffstat (limited to 'testing/ensure-pysqlcipher-has-usleep.sh')
-rwxr-xr-xtesting/ensure-pysqlcipher-has-usleep.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/testing/ensure-pysqlcipher-has-usleep.sh b/testing/ensure-pysqlcipher-has-usleep.sh
new file mode 100755
index 00000000..d3d93d86
--- /dev/null
+++ b/testing/ensure-pysqlcipher-has-usleep.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# make sure that the current installed version of pysqlcipher has the
+# HAVE_USLEEP flag set so we don't have problems with concurrent db access.
+
+set -e
+
+install_bundled_pysqlcipher() {
+ pip uninstall -y pysqlcipher
+ pip install --install-option="--bundled" pysqlcipher
+}
+
+./check-pysqlcipher.py || (install_bundled_pysqlcipher && ./check-pysqlcipher.py)